Bug 40182 - Improve uvmm CLI help text
Improve uvmm CLI help text
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1-0-errata
Assigned To: Philipp Hahn
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 10:59 CET by Philipp Hahn
Modified: 2016-01-13 13:11 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2015-12-07 10:59:40 CET
uvmm is a CLI tool to test UVMMd.
Its --help output is very hard to understand and should be improved.
Comment 1 Philipp Hahn univentionstaff 2015-12-08 08:27:13 CET
r66144 | Bug #40182 UVMM: Improve uvmm CLI tool

Package: univention-virtual-machine-manager-daemon
Version: 5.0.1-6.609.201512080816
Branch: ucs_4.1-0
Scope: errata4.1-0

r66145 | Bug #36141,Bug #36289,Bug #40180,Bug #40181,Bug #40182: UVMM,libcloud
 univention-virtual-machine-manager-daemon.yaml
Comment 2 Erik Damrose univentionstaff 2016-01-05 11:22:02 CET
OK: help output improved
OK: uvmm yaml
Verified
Comment 3 Erik Damrose univentionstaff 2016-01-05 14:41:59 CET
Reopen: That verify was to early, while QAing other bugs i found the following:

The parameter list for the CLI tool is not position independent anymore: The general options -u, -v, -T currently have to be stated before any subcommand.

# uvmm -T 5 nodes default 
<output>, OK
# uvmm nodes default -T 5
<...>
uvmm: error: unrecognized arguments: -T 5

At least both uvmmd listener scripts use '-T 5' as the last argument.
Comment 4 Philipp Hahn univentionstaff 2016-01-06 12:11:37 CET
(In reply to Erik Damrose from comment #3)
> The parameter list for the CLI tool is not position independent anymore: The
> general options -u, -v, -T currently have to be stated before any subcommand.

r66594 | Bug #40182 UVMM: Copyright 2016
r66593 | Bug #40182 UVMM: Fix pyflakes errors
r66592 | Bug #40182 UVMM: Use usage of uvmm CLI tool
 Move -T before sub-command

Package: univention-virtual-machine-manager-daemon
Version: 5.0.1-9.613.201601061208
Branch: ucs_4.1-0
Scope: errata4.1-0

r66595 | Bug #40182 UVMM: Use usage of uvmm CLI tool YAML
 univention-virtual-machine-manager-daemon.yaml
Comment 5 Erik Damrose univentionstaff 2016-01-11 17:32:53 CET
OK: Adapted listener modules
OK: Adding and removing KVM hosts works
OK: yaml
Verified
Comment 6 Janek Walkenhorst univentionstaff 2016-01-13 13:11:27 CET
<http://errata.software-univention.de/ucs/4.1/53.html>